Skip to main content
GET
/
v1
/
conversion
List Conversion
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/conversion \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "account_name": "UQPAY",
      "conversion_id": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0",
      "short_reference_id": "P220406-LLCVLRM",
      "creator": "UQPAY",
      "client_rate": "1.355957",
      "buy_amount": "7.37",
      "buy_currency": "SGD",
      "sell_amount": "10",
      "sell_currency": "USD",
      "create_time": "2024-08-22T17:12:58+08:00",
      "settle_time": "2024-08-22T17:13:00+08:00",
      "conversion_status": "FUNDS_ARRIVED"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
required

The maximum number of items to return per page. Must be between 10 and 100, inclusive.

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve a specific set of items. Must be 1 or greater.

Required range: x >= 1
Example:

1

Response

OK - Successfully list conversion.

total_pages
integer

The total number of pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]